/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicHighDensityScatterSeriesDescription extends GeographicMapSeriesHostDescription {
    constructor() {
        super();
        this.cc = null;
        this.cd = null;
        this.by = false;
        this.bx = false;
        this.bw = false;
        this.b3 = 0;
        this.b2 = 0;
        this.cb = null;
        this.ca = null;
        this.b6 = 0;
        this.b7 = 0;
        this.ce = null;
    }
    get_type() {
        return "GeographicHighDensityScatterSeries";
    }
    get latitudeMemberPath() {
        return this.cc;
    }
    set latitudeMemberPath(a) {
        this.cc = a;
        this.e("LatitudeMemberPath");
    }
    get longitudeMemberPath() {
        return this.cd;
    }
    set longitudeMemberPath(a) {
        this.cd = a;
        this.e("LongitudeMemberPath");
    }
    get useBruteForce() {
        return this.by;
    }
    set useBruteForce(a) {
        this.by = a;
        this.e("UseBruteForce");
    }
    get progressiveLoad() {
        return this.bx;
    }
    set progressiveLoad(a) {
        this.bx = a;
        this.e("ProgressiveLoad");
    }
    get mouseOverEnabled() {
        return this.bw;
    }
    set mouseOverEnabled(a) {
        this.bw = a;
        this.e("MouseOverEnabled");
    }
    get heatMinimum() {
        return this.b3;
    }
    set heatMinimum(a) {
        this.b3 = a;
        this.e("HeatMinimum");
    }
    get heatMaximum() {
        return this.b2;
    }
    set heatMaximum(a) {
        this.b2 = a;
        this.e("HeatMaximum");
    }
    get heatMinimumColor() {
        return this.cb;
    }
    set heatMinimumColor(a) {
        this.cb = a;
        this.e("HeatMinimumColor");
    }
    get heatMaximumColor() {
        return this.ca;
    }
    set heatMaximumColor(a) {
        this.ca = a;
        this.e("HeatMaximumColor");
    }
    get pointExtent() {
        return this.b6;
    }
    set pointExtent(a) {
        this.b6 = a;
        this.e("PointExtent");
    }
    get progressiveStatus() {
        return this.b7;
    }
    set progressiveStatus(a) {
        this.b7 = a;
        this.e("ProgressiveStatus");
    }
    get progressiveLoadStatusChangedRef() {
        return this.ce;
    }
    set progressiveLoadStatusChangedRef(a) {
        this.ce = a;
        this.e("ProgressiveLoadStatusChangedRef");
    }
}
GeographicHighDensityScatterSeriesDescription.$t = markType(GeographicHighDensityScatterSeriesDescription, 'GeographicHighDensityScatterSeriesDescription', GeographicMapSeriesHostDescription.$);
